#
# spec file for package asterisk-core-sounds
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:		asterisk-extra-sounds
Version:	1.5.2
Release:	lp155.1.1
Summary:	Extra sound files for the Asterisk PBX
Group:		Productivity/Telephony/Servers
License:	CC-BY-SA-3.0
URL:		http://asterisk.org/
Source1:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-en-alaw-%version.tar.gz
Source2:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-en-g722-%version.tar.gz
Source3:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-en-g729-%version.tar.gz
Source4:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-en-gsm-%version.tar.gz
Source5:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-en-siren14-%version.tar.gz
Source6:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-en-siren7-%version.tar.gz
Source7:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-en-sln16-%version.tar.gz
Source8:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-en-ulaw-%version.tar.gz
Source9:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-en-wav-%version.tar.gz
Source10:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-fr-alaw-%version.tar.gz
Source11:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-fr-g722-%version.tar.gz
Source12:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-fr-g729-%version.tar.gz
Source13:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-fr-gsm-%version.tar.gz
Source14:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-fr-siren14-%version.tar.gz
Source15:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-fr-siren7-%version.tar.gz
Source16:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-fr-sln16-%version.tar.gz
Source17:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-fr-ulaw-%version.tar.gz
Source18:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-fr-wav-%version.tar.gz
Source19:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-en_GB-alaw-%version.tar.gz
Source20:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-en_GB-g722-%version.tar.gz
Source21:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-en_GB-g729-%version.tar.gz
Source22:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-en_GB-gsm-%version.tar.gz
Source23:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-en_GB-siren14-%version.tar.gz
Source24:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-en_GB-siren7-%version.tar.gz
Source25:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-en_GB-sln16-%version.tar.gz
Source26:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-en_GB-ulaw-%version.tar.gz
Source27:	http://downloads.asterisk.org/pub/telephony/sounds/releases/%name-en_GB-wav-%version.tar.gz
NoSource:	1
NoSource:	2
NoSource:	3
NoSource:	4
NoSource:	5
NoSource:	6
NoSource:	7
NoSource:	8
NoSource:	9
NoSource:	10
NoSource:	11
NoSource:	12
NoSource:	13
NoSource:	14
NoSource:	15
NoSource:	16
NoSource:	17
NoSource:	18
NoSource:	19
NoSource:	20
NoSource:	21
NoSource:	22
NoSource:	23
NoSource:	24
NoSource:	25
NoSource:	26
NoSource:	27
BuildRoot:	%_tmppath/%name-%version-build
BuildRequires:	asterisk-sounds-devel fdupes
BuildArch:	noarch

%define snd_flavors %{nil \
	} en-alaw en-g722 en-g729 en-gsm en-siren14 en-siren7 en-sln16 en-ulaw en-wav %{nil \
	} en_GB-alaw en_GB-g722 en_GB-g729 en_GB-gsm en_GB-siren14 en_GB-siren7 en_GB-sln16 en_GB-ulaw en_GB-wav %{nil \
	} fr-alaw fr-g722 fr-g729 fr-gsm fr-siren14 fr-siren7 fr-sln16 fr-ulaw fr-wav
%asterisk_sound_package -Z %snd_flavors

%description
Additional sound files for Asterisk.

%prep

%build

%install
b="%buildroot"
for pkg in %snd_flavors; do
	lang="${pkg%%-*}"
	ext="${pkg##*-}"

	mkdir -p "$b/%asterisk_sounds_dir/$lang"
	pushd "$b/%asterisk_sounds_dir/$lang"
	tar -xf "%_sourcedir/%name-$pkg-%version.tar.gz"
	popd
done
%asterisk_collect_sndfiles -Z %snd_flavors
%fdupes %buildroot/%_prefix

%files -f asterisk-sounds-xrest.files
%defattr(-,root,root)

%changelog
* Sun Mar  4 2018 jengelh@inai.de
- Update to new upstream release 1.5.2
  * No changelog available
* Mon Sep  4 2017 jengelh@inai.de
- Update to new upstream release 1.5.1
  * No changelog available
- Add en_GB language variant
* Sat Jan  3 2015 jengelh@inai.de
- Update to new upstream release 1.4.15
* Tue Dec 24 2013 jengelh@inai.de
- Update to new upstream release 1.4.14
* Sat Mar 17 2012 jengelh@medozas.de
- Initial package for build.opensuse.org
